﻿@model List<ARGNSCostSheetView>

@{
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CostSheet.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CostSheet.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.CostSheet.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@PDM.CSL</h3>
    </div>
    <br />
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PDM.Style</th>
                            <th>@PDM.CCS</th>
                            <th>@PDM.Desc</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (ARGNSCostSheetView item in Model)
                        {
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@item.U_ModCode</td>
                                <td>@item.Name</td>
                                <td>@item.U_Description</td>                    
                                <td>
                                    @if (_View)
                                    {
                                        <a href='@Url.Action("_CostSheet", "CostSheet", new { @ActionMyCostSheet = "View", @Code = item.Code, @ModeCodeDb = item.ModeDBCode, @fromController = "CostSheet" })' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.View
                                        </a>
                                    }
                                    @if (_Update)
                                    {
                                        <a href='@Url.Action("_CostSheet", "CostSheet", new { @ActionMyCostSheet = "Update", @Code = item.Code, @ModeCodeDb = item.ModeDBCode, @fromController = "CostSheet" })' class="btn btn-primary btn-xs">
                                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PDM.Edit
                                        </a>
                                    }
                                </td>
                            </tr>
                        }

                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PDM.Style</th>
                            <th>@PDM.CCS</th>
                            <th>@PDM.Desc</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="5">@PDM.NDTD</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

@if (_Add)
{
    <div class="col-md-2 pull-right">
        <div class="but_blok_footer">
            <a href='@Url.Action("_CostSheet", "CostSheet", new { @ActionMyCostSheet = "Add", @Code = 0, @ModeCodeDb = 0, @fromController = "CostSheet" })' class="btn btn-success btn-ls pull-right ">
                <span class="glyphicon glyphicon-file"></span>&nbsp;@PDC.Add
            </a>
        </div>
    </div>
}